@media (max-width:1200px){
	
	//Online
	.o_chat_window.d_livechat{
		.o_chat_header{
			.height(60px) !important;
			.padding(10px);
		}
	}
	.livechat_button_img{
		.display(none) !important;
	}
	.d_livechat{
		.max-h(100%) !important;
		.max-w(100%) !important;
		& .chat_img_wrap > img{
			.top(5px) !important;
			.width(50px) !important;
		}
		& .o_chat_title{
			.f-size(14px) !important;
			.pt(2px) !important;
			.ml(60px) !important;
		}
		& .o_chat_window_close{
			.f-size(12px) !important;
			.padding(3px 4px) !important;
		}
		& .e_livechat_form .livechat_loader{
			.max-h(87%);
			.margin(60px auto);
			.pt(300px);
		}
		.listener_msg,.operator_msg{
			.max-w(85%);
			& .attachment_img{
				.max-w(5%)!important;
			}
		}
		& .btn_Cancel,.btn_endChat{
			.mt(4%);
		}
		& .btn_endChat {
    		.ml(2%);
    	}
    	& .e_livechat_form .text-center{
    		.width(15%);
    		.mt(45px);
    		& .e_start_chat_button{
    			.f-size(14px);
    		}
    	}
    	& div.o_chat_window_attachments_list{
    		.width(30%);
    		.right(-21px);
    		.bott(45px);
    	}
    	& div.o_attachments:before{
    		.bott(-21px);
    	}
    	& .o_chat_composer{
    		.mb(15px);
    	}
    	& .btn_wrap{
    		.mt(36px);
    	}
    	& .transcript_cancel{
    		.mr(2%);
    	}
    	& .e_chatwindow_brand{
    		.margin(0 auto 15px) !important;
    	}
    	& .livechat_container{
    		.mt(50px);
    	}
	}
	.d_livechat&{
		.listener_msg,.operator_msg{
			.margin(3% 3%) !important;
		}
		.o_chat_composer > input.o_composer_text_field{
			.width(91%) !important;
		}
		div.o_composer_buttons{
			.width(8%) !important;
		}
	}
	
	//for-small-devices
	.small_device{
		.max-w(6%) !important;
		.right(35px) !important;
		.bott(20px) !important;
		.bg(transparent);
		.bor-rad(50%);
		box-shadow: none;
		.o_chat_title{
			.ml(0px) !important;
			.padding(5px 12px) !important;
		}
		&.d_livechat .o_chat_header{
			.bor-rad(1px 30px 30px 30px) !important;
			.height(47px) !important;
			.padding(10px);
		}
		& .chat_img_wrap > img{
			.left(14%) !important;
			.top(10px) !important;
			.width(40px) !important;
		}
		&.d_livechat .o_chat_header{
			.bor-rad(1px 30px 30px 30px) !important;
			.height(57px) !important;
			.padding(10px);
		}
		& .chat_img_wrap > img{
			.left(17%) !important;
			.top(8px) !important;
			.width(40px) !important;
		}
		& .e_chatwindow_brand,.o_chat_composer,.o_chat_title{
			.display(none);
		}
		& .o_chat_title span:first-child{
			.pos(absolute);
			.top(-20%);
			.left(3px);
			.bg(brown);
			.padding(2px 4px);
			.bor-rad(50%);
			.f-size(11px);
		}
		& .listener_msg,.operator_msg{
			.margin(3% 5%);
		}
		& input.o_composer_text_field{
			.width(90%) !important;
		}
		& div.o_composer_buttons{
			.width(9%) !important;
		}
	}
	
	//Offline
	.o_livechat_button{
		.max-w(55px);
		.min-w(auto);
		.f-size(0px) !important;
		.bor-rad(50%) !important;
		.padding(18px 15px)!important;
		& .ml4{
			.ml(0px) !important;
		}
		& .e_message{
			.max-w(100%);
		}
	}
	.e_fabula{
		.max-h(100%) !important;
		.max-w(100%) !important;
		& .e_chat_window_minimize{
			.padding(7px 5px);
			.f-size(11px);
		}
		& .o_chat_header{
			.padding(11px 5px 15px 5px) !important;
		}
		& .e_open_header{
			& .chat_img_wrap{
				.max-w(21px) !important;
			}
		}
		& .chat_img_wrap{
			.max-w(22px) !important;
			&:first-child{
				.ml(2px) !important;
			}
		}
		& .o_chat_header{
			.padding(11px 5px 5px 5px)!important;
			& .oprator_img{
				.mt(0px);
			}
			& .o_chat_title{
				.pt(0) !important;
				.f-size(14px) !important;
				.padding(16px) !important;
			}
		}
		& .e_chat_window_minimize{
			.padding(22px 5px);
		}
		& .o_chat_window_close{
			.padding(22px 15px)!important;
		}
		& .offline_chat_wrap{
			.margin(0 3%);
			.max-w(100%);
		}
		.livechat_loader {
		    .margin(72px auto);
		    .pt(292px);
		    .max-h(87.5%);
		}
	}
	.e_fabula.offline_small_device{
		.max-w(7%) !important;
		.right(15px) !important;
		.bott(35px) !important;
		.bor-rad(50%);
		box-shadow: none;
		&:hover{
			cursor:pointer;
		}
		& .o_chat_title{
			.display(none) !important;
		}
		& .o_mail_thread{
			.display(none);
		}
		& .e_folded_header{
			.bor-rad(1px 40px 40px 40px) !important;
		}
		& .o_chat_header .chat_img_wrap:first-child{
			.ml(6px) !important;
		}
		& .e_chatwindow_brand,.o_chat_title,.o_chat_window_close{
			.display(none);
		}
		& .offline_support_img{
			.padding(13px 0);
			.ml(17px);
			& img{
				.margin(0) !important;
				.max-w(none);
			}
			
		}
	}
	
}

@media (max-width:920px){
	
	//for-small-devices
	.small_device{
		.bor-rad(50%);
		& .o_chat_header{
			.bor-rad(1px 22px 22px 22px) !important;
		}
		& .chat_img_wrap > img{
			.top(8px) !important;
			.width(32px) !important;
		}
		& .o_mail_thread{
			.display(none);
		}
	}
	
}

@media (max-width:800px){
	
	.small_device{
		.max-w(7%) !important;
		.right(20px) !important;
		.bott(20px) !important;
		.bor-rad(50%);
		&.d_livechat .o_chat_header{
			.bor-rad(1px 30px 30px 30px) !important;
			.height(54px) !important;
			.padding(10px);
		}
		& .chat_img_wrap > img{
			.left(13%) !important;
			.top(8px) !important;
			.width(38px) !important;
		}
	}
	.d_livechat&{
		.listener_msg,.operator_msg{
			.margin(3% 5%) !important;
		}
		.o_chat_composer > input.o_composer_text_field{
			.width(88%) !important;
		}
		div.o_composer_buttons{
			.width(11%) !important;
		}
	}
	.d_livechat{
		& .e_livechat_form .text-center{
    		.width(20%);
    		& .e_start_chat_button{
    			.f-size(16px);
    		}
    	}
		& div.o_chat_window_attachments_list{
			.width(35%);
			.right(-10px);
			.bott(42px);
		}
		& div.o_attachments:before{
    		.bott(-17px);
    	}
    	& .o_attachment_delete {
    		opacity: 1;
		}
		& .e_livechat_form .livechat_loader{
			.max-h(92%);
			.pt(450px);
		}
	}
	
	//offline
	.e_fabula{
		.livechat_loader {
			.pt(420px);
	    	.max-h(90.5%);
		}	
	}
	
	.e_fabula.offline_small_device{
		.max-w(9%) !important;
		.right(15px) !important;
		.bott(35px) !important;
		.bor-rad(50%);
		box-shadow: none;
		& .e_folded_header{
			.bor-rad(1px 40px 40px 40px) !important;
		}
		& .o_chat_header .chat_img_wrap:first-child{
			.ml(5px) !important;
		}
		& .e_chatwindow_brand{
			.display(none);
		}
	}
}

@media (max-width:640px){
	.small_device {
    	.max-w(8%) !important;
    }
    .d_livechat{
    	& .e_livechat_form .text-center{
    		.width(25%);
    	}	
    }
	.d_livechat&{
		.o_chat_composer > input.o_composer_text_field{
			.width(86%) !important;
		}
		& div.o_chat_window_attachments_list{
			.width(45%);
			.right(-7px);
			.bott(43px);
		}
		div.o_composer_buttons{
			.width(13%) !important;
		}
		& .e_livechat_form .livechat_loader{
			.max-h(74%);
			.pt(110px);
		}
	}
	
	//Offline
	.e_fabula{
		& .o_chat_header{
			.height(53px);
			.padding(13px 5px 5px 5px)!important;
			& .oprator_img{
				.width(41px);
				.mt(-8px);
			}
			& .o_chat_title{
				.padding(3px 0px)!important;
				.f-size(14px);
			}
		}
		& .e_chat_window_minimize{
			.padding(9px 5px);
		}
		& .o_chat_window_close{
			.padding(8px 15px) !important;
			.f-size(13px) !important;
		}
		& .offline_chat_wrap{
			.margin(0 6%);
		}
		.livechat_loader {
		    .margin(50px auto);
		    .pt(110px);
		    .max-h(79.5%);
		}
	}
	
	//offline
	.e_fabula.offline_small_device{
		.max-w(10%) !important;
		& .o_chat_header{	
			.padding(8px 5px 5px 1px)!important;
			.height(62px) !important;
			& .oprator_img{
				.max-w(45px);
			}
		}
	}
}
@media (max-width:480px){
	.small_device {
    	.max-w(11%) !important;
    }
    .d_livechat{
    	& .e_livechat_form .text-center{
    		.width(40%);
    	}
    	& div.o_chat_window_attachments_list{
			.width(60%);
			.right(-3px);
			.bott(42px);
		}
		& .e_livechat_form .livechat_loader{
			.max-h(71%);
			.pt(75px);
		}
    }
    .d_livechat&{
		.o_chat_composer > input.o_composer_text_field{
			.width(82%) !important;
		}
		div.o_composer_buttons{
			.width(17%) !important;
		}
	}
	
	//offline
	.e_fabula{
		.livechat_loader {
		    .pt(90px);
		    .max-h(76.5%);
		}
	}
	
	.e_fabula.offline_small_device{
		.max-w(13%) !important;
		& .o_chat_header{
			.padding(8px 5px 5px 2px)!important;
			& .oprator_img{
				.width(45px);
				.mt(0px);
			}
		}
		& .offline_support_img{
			.ml(14px);
		}
	}
}
@media (max-width:360px){
	.small_device {
    	.max-w(15%) !important;
    }
    .d_livechat{
    	& div.o_chat_window_attachments_list{
			.width(70%);
			.right(7px);
			.bott(42px);
		}
		.listener_msg,.operator_msg{
			& .attachment_img{
				.max-w(8%)!important;
			}
		}
		& .e_livechat_form .livechat_loader{
			.max-h(85%);
			.pt(250px);
		}
    }
	.d_livechat&{
		.o_chat_composer > input.o_composer_text_field{
			.width(75%) !important;
		}
		div.o_composer_buttons{
			.width(22%) !important;
		}
	}
	
	//offline
	.e_fabula{
		.livechat_loader {
		    .pt(250px);
		    .max-h(88.5%);
		}
	}
	
	.e_fabula.offline_small_device{
		.max-w(17%) !important;
		& .o_chat_header{
			.padding(6px 5px 5px 2px)!important;
			.height(60px) !important;
			& .oprator_img{
				.width(41px);
				.mt(-8px);
			}
		}
	}
}
@media (max-width:320px){
	.small_device {
    	.max-w(16%) !important;
    }
    .d_livechat{
    	& div.o_chat_window_attachments_list{
			.width(80%);
			.right(7px);
			.bott(42px);
		}	
    }
    .d_livechat&{
		.o_chat_composer > input.o_composer_text_field{
			.width(73%) !important;
		}
		div.o_composer_buttons{
			.width(25%) !important;
		}
	}
	//offline
	.e_fabula{
		.livechat_loader {
		    .pt(170px);
		    .max-h(84.5%);
		}
	}
	
	.e_fabula.offline_small_device{
		.max-w(19%) !important;
		& .o_chat_header{
			& .oprator_img{
				.width(41px);
				.mt(-8px);
			}
		}
	}
}
	